Name:           pithos
Version:        0.3.18
Release:        2%{?dist}.art
Summary:        A Pandora client for the GNOME Desktop

Group:          Applications/File
License:        GPLv3
URL:            http://pithos.github.io/
Source0:        https://github.com/pithos/pithos/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         https://github.com/pithos/pithos/commit/df24f173c7dde3a1b3631b50366757ba5853a3ea.patch#/pithos-buffer.patch

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools desktop-file-utils

Requires:       dbus-python
Requires:       gstreamer-plugins-bad
Requires:       gstreamer-plugins-good
Requires:       gstreamer-python
Requires:       notify-python
Requires:       python-keybinder
Requires:       pygobject2
Requires:       pygtk2
Requires:       pylast
Requires:       pyxdg
Requires:       hicolor-icon-theme

%description
Pithos is a Pandora client for the GNOME Desktop. The official Flash-based
client is a CPU hog, and Pianobar is a great reverse-engineered implementation,
but is command-line only. Neither integrate with the desktop very well, missing
things like media key support and song notifications.

%prep
%setup -q
%patch0 -p1

%install
%{__python2} setup.py install --root=%{buildroot}

%post
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%files
%doc README.md
%{_bindir}/%{name}
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-*.egg-info/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/

%changelog
* Thu Feb 27 2014 TingPing <tingping@tingping.se> - 0.3.18-2
- Include patch that fixes buffering issue

* Thu Dec 05 2013 TingPing <tingping@tingping.se> - 0.3.18-1
- Bump version

* Sun Sep 23 2012 TingPing <tingping@tingping.se> - 0.3.17-0.1.e831d7a
- Update to newest git rev
- Install SVG icon

* Tue May 01 2012 Silas Sewell <silas@sewell.org> - 0.3.17-0.1.d66ff7a
- Update to JSON api version

* Sun Apr 29 2012 Silas Sewell <silas@sewell.org> - 0.3.16-2
- Get sync time from JJZ's server (James Burton)

* Wed Apr 25 2012 Silas Sewell <silas@sewell.org> - 0.3.16-1
- Update to 0.3.16

* Sat Dec 17 2011 Silas Sewell <silas@sewell.org> - 0.3.14-2
- Add GTK category

* Fri Dec 16 2011 Silas Sewell <silas@sewell.org> - 0.3.14-1
- Update to 0.3.14 (revision 181)
- Fix "You have no chance to survive make your time"

* Wed Nov 09 2011 Silas Sewell <silas@sewell.org> - 0.3.13-2
- Remove packaged pylast

* Wed Nov 09 2011 Silas Sewell <silas@sewell.org> - 0.3.13-1
- Update to 0.3.13
- Use SSL for login (fixes AUTH_WEB_LOGIN_NOT_ALLOWED)
- Fix icon

* Wed Nov 09 2011 Silas Sewell <silas@sewell.org> - 0.3.12-1
- Update to 0.3.12
- Update keys and to protocol v33

* Thu Sep 22 2011 Silas Sewell <silas@sewell.org> - 0.3.11-1
- Update to 0.3.11

* Mon Jul 11 2011 Silas Sewell <silas@sewell.ch> - 0.3.10-1
- Update to 0.3.10

* Wed Apr 29 2011 Silas Sewell <silas@sewell.ch> - 0.3.9-1
- Update to 0.3.9

* Tue Nov 30 2010 Silas Sewell <silas@sewell.ch> - 0.3.6-1
- Initial package
